Bug 559416 - RFE: Share debuginfo cache between yumdownloader and yum/debuginfo-install
RFE: Share debuginfo cache between yumdownloader and yum/debuginfo-install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-27 21:42 EST by Christopher Beland
Modified: 2014-01-21 18:13 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 18:43:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2010-01-27 21:42:42 EST
I reported an audacious crash with abrt-1.0.4-1.fc12.i686, which downloaded some debuginfo packages to generate the backtrace.  I then ran "debuginfo audacious" which downloaded the same packages again.  It would have been faster if abrt had filled the yum cache with its download.
Comment 1 Denys Vlasenko 2010-02-11 11:50:54 EST
We used to, but SELinux/security people threatened to eat us alive if we won't stop installing stuff behind the user's back.
Comment 2 Christopher Beland 2010-02-13 20:44:48 EST
I was thinking of continuing to not install anything, but just unify the caches.  The packages are signed and authentication is still required to install them even if they are pre-cached, so that doesn't present any security problems that I can think of.

I suppose you could ask the abrt user to authenticate on the spot if they want to permanently install the debuginfo packages for faster bug reporting in the future.
Comment 3 Jiri Moskovcak 2010-02-14 07:30:37 EST
We use yumdownloader to download the packages, so I think yumdownloader is the one who should share the cache with yum -> reassigning to yum-utils.

Jirka
Comment 4 Jiri Moskovcak 2010-02-14 07:33:14 EST
Hm, can't find yum-utils in components, probably some bug in bugzilla.
Comment 5 James Antill 2010-02-14 18:01:29 EST
Jiri are you running yumdownloader as root, or as a random user?
Comment 6 Jiri Moskovcak 2010-02-15 05:15:08 EST
Hi,
it's run as root.

J.
Comment 7 Bug Zapper 2010-11-03 19:44:51 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-12-03 18:43:10 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.